<html lang="en">
<head>
<title>Demo Programs - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Naming-Conventions.html#Naming-Conventions" title="Naming Conventions">
<link rel="next" href="Function-Index.html#Function-Index" title="Function Index">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Demo-Programs"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Function-Index.html#Function-Index">Function Index</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Naming-Conventions.html#Naming-Conventions">Naming Conventions</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">18 Demo Programs</h2>

<p>There are many sample programs I have written for eieio which could
become useful components of other applications, or are good stand alone
programs providing some useful functionality.  The file, and
functionality of these appear below:

     <dl>
<dt><code>tree</code><dd>Maintains and displays a tree structure in a buffer.  Nodes in the tree
can be clicked on for editing, node expansion, and simple information. 
Includes a sample program for showing directory trees, and to draw trees
of the eieio class structures. 
<br><dt><code>call-tree</code><dd>Parses a non-byte-compiled function, and generates a call tree from it,
and all sub-non-byte-compiled functions.  Provides protection from
recursive functions. 
<br><dt><code>chart</code><dd>Draw bar charts from data.  Examples include displaying sizes of emacs
values, file distribution, and rmail distributions. 
</dl>

   </body></html>

